API Reference
List disputes
GET
/disputesQuery Parameters
fromstring(optional)· Defaults to 90 days agoReturn disputes that were opened on or after this date, provided in the format 'YYYY-DD-MM'.
tostring(optional)· Defaults to todayReturn disputes that were opened up to and on this date, provided in the format 'YYYY-MM-DD'.
searchstring(optional)Dispute reference or transaction fatzebra ID to search on.
statusstring(optional)Disputes of any status will be returned if this is not provided. Acceptable values: open, lost, won, expired, accepted.
order_bystring(optional)· Defaults to opened_onAcceptable values: opened_on, next_due_date.
order_directionstring(optional)· Defaults to descAcceptable values: asc, desc.
offsetinteger (int32)(optional)· Defaults to 1Page number.
limitinteger (int32)(optional)· Defaults to 10Number of disputes to return per page.
Request
curl
curl https://gateway.pmnts-sandbox.io/v1.0/disputes -u TEST:TESTResponse
200Result
json
{
"successful": true,
"response": {
"has_more": true,
"records": 2,
"total_records": 9,
"page": 1,
"total_pages": 5,
"disputes": [
{
"opened_on": "2022-09-15",
"transaction_id": "092-P-JHXOULO0",
"reference": "202208036718",
"reason_code": "001",
"reason_description": "Fraud",
"amount_cents": 1000000,
"amount_currency": "AUD",
"next_due_date": "2022-09-30",
"status": "open"
},
{
"opened_on": "2022-09-15",
"transaction_id": "093-P-AX6XLKRT",
"reference": "342f0e9f3aa82119",
"reason_code": "001",
"reason_description": "Fraud",
"amount_cents": 1000000000,
"amount_currency": "AUD",
"next_due_date": "2022-09-30",
"status": "lost"
}
]
},
"errors": [],
"test": true
}422Result
json
{
"successful": false,
"response": {},
"errors": [
"Invalid date range"
],
"test": true
}